🌍 Astrocartography API, πŸ”· Human Design API and βœ‹ Palmistry API are now live. Ship them in your app today.

Yes No Tarot

This API provides a Yes or No answer to a question asked by the user, based on the tarot cards. The response includes a brief description of the card and its interpretation, providing guidance and insights to the user on their situation.
POSThttps://json.astrologyapi.com/v1/yes_no_tarot

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

tarot_idintrequired

Tarot id, eg: 10 for five of wands, 1 for king of wands

Tarot id and card name list

Tarot IDCard Name
1The Magician
2The Hierophant
3The Emperor
4Death
5The Hermit
6The Devil
7Temperance
8The Fool
9The Chariot
10Justice
11The Judgment
12Strength
13The Empress
14The Wheel of Fortune
15The Star
16The Moon
17The Lovers
18The Sun
19The Hanged Man
20The Tower
21The World
22The High Priestess
curl --location 'https://json.astrologyapi.com/v1/yes_no_tarot' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "tarot_id": 10
}'
Try it

Runs with sample data β€” no API key needed

{
  "name": "The Magician",
  "value": "Yes",
  "description": "It's time to manifest your intentions and put them into action. This card signifies the meeting of the material and spiritual realms. So if you're thinking to put your ideas into action, now is the time. The Magician is associated with planet Mercury. Mercury is the winged messenger and travels between the gods and humanity. So if you have a message to drop, be sure that heavens are listening and you shall be answered! This card is all about manifestations, spiritual rebirth and tapping into your infinite potential. So gather your ideas and see them come to reality."
}